local lib = LibStub('LibDebugLog-1.0')
local frame = CreateFrame("Frame")
local addon = 'LibDebugLog-1.0-Persitence'
local db
local keys = {}

local function LoadStatus(event, broker, key)
	if key ~= true then
		keys[broker] = key
		broker:ToggleDebugLog(db[key])
	end
end

local function SaveStatus(event, broker, enabled)
	if keys[broker] then
		db[keys[broker]] = enabled or nil
	end
end

local function OnEvent(frame, event)
	if not _G.LibDebugLog10PersitenceDB then
		_G.LibDebugLog10PersitenceDB = {}
	end
	db = _G.LibDebugLog10PersitenceDB
	lib.RegisterCallback(addon, 'DebugLogEnabled', SaveStatus)
	lib.RegisterCallback(addon, 'DebugLogDisabled', SaveStatus)
	lib.RegisterCallback(addon, 'NewBroker', LoadStatus)
	for broker,key in lib:IterateBrokers(true) do
		LoadStatus(event, broker, key)
	end
end

frame:RegisterEvent('VARIABLES_LOADED')
frame:SetScript('OnEvent', OnEvent)
